import type { ComponentChildren, ComponentThis } from "./types";
export type ErrorBoundaryProps = {
    render: () => ComponentChildren;
    fallback: (props: {
        error: unknown;
    }) => ComponentChildren;
    /** @returns false if this boundary should skip the error and let the next boundary handle it */
    accept?: (error: unknown) => boolean;
};
export declare const ErrorBoundary: import("./internal").InternalComponent<ErrorBoundaryProps>;
export declare function addAbortSignal<T>(thisArg: T, abortController: AbortController): T & Pick<ComponentThis, "abortSignal" | "withAbortSignal">;
